/*
 * options.h
 *
 * Copyright (c) 2014 Kirill Kryukov
 *
 * This file is a part of the Nucleotide Sequence Clusterizer source code,
 * and may only be used, modified, and distributed under the terms of the
 * license, located in the file LICENSE.txt within this package.
 */

#ifndef CLUSTERIZER_OPTIONS_H
#define CLUSTERIZER_OPTIONS_H

/*
 * Enables asserts.
 * Uncomment for debugging.
 * Comment out in production build.
 */
/*#define DEBUG*/

/*
 * Size of the IO buffer.
 */
#define BUFSIZE 100000

/*
 * How many bytes to use for each block of barcodes (during reading).
 */
#define BYTES_PER_BLOCK (1 * 1000 * 1000)

/*
 * How many bp are used as barcode index.
 */
#define INDEX_DEPTH 8

#endif
